# Uses of Class
org.osgi.framework.Version

Packages that use Version
Package
Description
org.apache.felix.framework
org.apache.felix.framework.util
org.apache.felix.framework.util.manifestparser
org.osgi.framework
Framework Package Version 1.8.
org.osgi.framework.wiring
Framework Wiring Package Version 1.2.
org.osgi.service.packageadmin
Package Admin Package Version 1.2.

## Uses of Version in org.apache.felix.framework

Methods in org.apache.felix.framework that return Version
Modifier and Type
Method
Description
`Version`
BundleRevisionImpl.`getVersion()`

## Uses of Version in org.apache.felix.framework.util

Methods in org.apache.felix.framework.util that return Version
Modifier and Type
Method
Description
`Version`
VersionRange.`getCeiling()`
`Version`
VersionRange.`getFloor()`
Methods in org.apache.felix.framework.util with parameters of type Version
Modifier and Type
Method
Description
`boolean`
VersionRange.`isInRange(Version version)`
Constructors in org.apache.felix.framework.util with parameters of type Version
Modifier
Constructor
Description
``
`VersionRange(Version low, boolean isLowInclusive, Version high, boolean isHighInclusive)`

## Uses of Version in org.apache.felix.framework.util.manifestparser

Methods in org.apache.felix.framework.util.manifestparser that return Version
Modifier and Type
Method
Description
`Version`
ManifestParser.`getBundleVersion()`
Methods in org.apache.felix.framework.util.manifestparser with parameters of type Version
Modifier and Type
Method
Description
`static List<BundleCapability>`
ManifestParser.`parseExportHeader(Logger logger, BundleRevision owner, String header, String bsn, Version bv)`

## Uses of Version in org.osgi.framework

Fields in org.osgi.framework declared as Version
Modifier and Type
Field
Description
`static final Version`
Version.`emptyVersion`
The empty version "0.0.0".
Methods in org.osgi.framework that return Version
Modifier and Type
Method
Description
`Version`
VersionRange.`getLeft()`
Returns the left endpoint of this version range.
`Version`
VersionRange.`getRight()`
Returns the right endpoint of this version range.
`Version`
Bundle.`getVersion()`
Returns the version of this bundle as specified by its `Bundle-Version` manifest header.
`static Version`
Version.`parseVersion(String version)`
Parses a version identifier from the specified string.
`static Version`
Version.`valueOf(String version)`
Returns a `Version` object holding the version identifier in the specified `String`.
Methods in org.osgi.framework with parameters of type Version
Modifier and Type
Method
Description
`int`
Version.`compareTo(Version other)`
Compares this `Version` object to another `Version`.
`boolean`
VersionRange.`includes(Version version)`
Returns whether this version range includes the specified version.
Constructors in org.osgi.framework with parameters of type Version
Modifier
Constructor
Description
``
`VersionRange(char leftType, Version leftEndpoint, Version rightEndpoint, char rightType)`
Creates a version range from the specified versions.

## Uses of Version in org.osgi.framework.wiring

Methods in org.osgi.framework.wiring that return Version
Modifier and Type
Method
Description
`Version`
BundleRevision.`getVersion()`
Returns the version for this bundle revision.

## Uses of Version in org.osgi.service.packageadmin

Methods in org.osgi.service.packageadmin that return Version
Modifier and Type
Method
Description
`Version`
ExportedPackage.`getVersion()`
Deprecated.
Returns the version of this exported package.
`Version`
RequiredBundle.`getVersion()`
Deprecated.
Returns the version of this required bundle.